同一台服务器同一个IP可以使用多种php环境吗-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

同一台服务器同一个IP可以使用多种php环境吗

创荣达 2015-08-16 12:42:37 8222
现在用阿里云 cetons  wdcp 搭建的网站  现在用的是默认php5.2 环境  ,我现在有个程序需要 支持php5.4 环境   请问可以再升级使用php5.4环境吗?对之前用php5.2做网站有没有影响。(感谢大家回复,有友友提出安装全能环境,其实大多数人还是不懂,如果有全能,我想都会去选择吧。像现在万网虚拟空间,能随时切换PHP版本,这是一个很不错的功能)
PHP
多环境使用 一台服务器多个 git多个 使用git服务器 使用多个php
分享到
取消 提交回答
全部回答(13)
  • 吉姆
    2015-08-30 11:45:41
    Re同一台服务器同一个IP可以使用多种php环境吗
    私信我帮你解决
    0 0
  • 玩站网
    2015-08-29 09:39:06
    是可以的。  解析器php可以放多个版本。

    用nginx里面的规则来确定用哪个版本的php


    实际上很多空间就支持多个php版本自由切换。
    0 0
  • 创荣达
    2015-08-29 07:25:22
    回2楼ivmmff的帖子
    好像PHP5.2不支持

    -------------------------

    回7楼买醉的帖子
    我认同

    -------------------------

    回11楼孤城的帖子
    全能环境?可以用wdcp 搭建不

    -------------------------

    回13楼零云科技的帖子
    是兼容,但是我需要安装不同版本PHP程序网站随时切换而不影响其它网站
    0 0
  • 零云科技
    2015-08-19 18:05:38
    主流程序都兼容不同版本php的

    -------------------------

    回 20楼(ivmmff) 的帖子
    我的wp  用5.4   就500  用5.2  就没事  啥情况

    -------------------------

    回 22楼(ivmmff) 的帖子
    我也不知道啥情况  搞得我 都不敢升级 还在用5.2

    -------------------------

    回 24楼(ivmmff) 的帖子
    我把插件都关闭了再试试
    0 0
  • 孤城
    2015-08-18 16:54:46
    装个全能环境不就行了吗
    0 0
  • 强尼玛
    2015-08-18 14:41:36
    回8楼我本戏子的帖子
    不知道别乱说,都支持5.5了

    -------------------------

    回10楼我本戏子的帖子
    你不知道 wdlinux  初始化安装的时候,就可以选择PHP版本吗
    0 0
  • 我本戏子
    2015-08-16 22:38:01
    Re同一台服务器同一个IP可以使用多种php环境吗
    WDCP官方并不提供升级php5.4的脚本
    如果你能成功升级PHP5.4,那还要考虑程序是否对PHP版本的要求

    -------------------------

    回9楼强尼玛的帖子
    睁大你的眼睛看,我说的是官方不支持

    反正外面那么多升级脚本 自己去找呗,没人负责

    -------------------------

    回12楼强尼玛的帖子
    你去把官方的WDCP安装包里的PHP5.5找出来    附带个截图
    0 0
  • 徇云一五
    2015-08-16 20:41:19
    php向下兼容吧
    0 0
  • 七七鱼
    2015-08-16 20:04:58
    回 3楼(小柒2012) 的帖子
    这个想法挺好,请问下,如果是5.1的PHP升级到最新5.6,那要改什么地方呢?或者有没有什么更简单的办法,能更好升级,不影响程序wordpress工作?
    0 0
  • 买醉
    2015-08-16 18:16:53
    centos可以装不同版本的php ,也可以支持,但是要用unix方式启动不同的sock

    只是不知道wdcp 等等支持不支持

    -------------------------

    回 6楼(徇云一五) 的帖子
    确切的说是ZendOptimizer /  ZendGuardLoader  和 Zend OPcache 这3者的关系,虽然都是zend的东西,但是加密方式还是不同的
    0 0
  • 小柒2012
    2015-08-16 18:10:56
    php5.2 到 php5.4 小版本升级 应该不会影响到网站程序。

    首先弄清 升级了那些内容、然后检查现有程序是否有函数上的变动。

    最后楼主不妨试一试 不行就切换过来。
    0 0
  • 妙正灰
    2015-08-16 17:35:52
    AMH 5 支持多PHP环境

    -------------------------

    回 15楼(创荣达) 的帖子
    哦,天哪。 为什么还要 5.2 呢...

    -------------------------

    回 21楼(零云科技) 的帖子
    怎么办,我 5.6。。。。

    -------------------------

    回 23楼(零云科技) 的帖子
    插件有兼容性问题吧

    -------------------------

    回 26楼(零云科技) 的帖子
    wordpress主程序,都已经完成了对 7.0 的支持了。。 主程序肯定没有问题,关键还是排错插件
    0 0
  • oec.liao
    2015-08-16 16:00:11
    Re同一台服务器同一个IP可以使用多种php环境吗
    看你之前的网站能支持5.4的不。。可以的话一般问题不大
    0 0
滑动查看更多
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

相似问题
最新问题